Loading...
Searching...
No Matches
Magick::DrawableViewbox Class Reference
Inheritance diagram for Magick::DrawableViewbox:

## Public Member Functions

| DrawableViewbox (::ssize_t x1_, ::ssize_t y1_, ::ssize_t x2_, ::ssize_t y2_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | x1 (::ssize_t x1_)
::ssize_t | x1 (void) const
void | y1 (::ssize_t y1_)
::ssize_t | y1 (void) const
void | x2 (::ssize_t x2_)
::ssize_t | x2 (void) const
void | y2 (::ssize_t y2_)
::ssize_t | y2 (void) const

## Private Attributes

::ssize_t | _x1
::ssize_t | _y1
::ssize_t | _x2
::ssize_t | _y2

## Detailed Description

Definition at line 2291 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableViewbox()

Magick::DrawableViewbox::DrawableViewbox | ( | ::ssize_t | x1_,
|  | ::ssize_t | y1_,
|  | ::ssize_t | x2_,
|  | ::ssize_t | y2_ )

inline

Definition at line 2294 of file Drawable.h.

: _x1(x1_),
_y1(y1_),
_x2(x2_),
_y2(y2_) { }

## ~DrawableViewbox()

Magick::DrawableViewbox::~DrawableViewbox | ( | void |  | ) |

Definition at line 1740 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableViewbox::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1749 of file Drawable.cpp.

{
return new DrawableViewbox(*this);
}

## operator()()

void Magick::DrawableViewbox::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1743 of file Drawable.cpp.

{
DrawSetViewbox( context_, (double) _x1, (double) _y1, (double) _x2,
(double) _y2 );
}

## x1() [1/2]

void Magick::DrawableViewbox::x1 | ( | ::ssize_t | x1_ | ) |

inline

Definition at line 2310 of file Drawable.h.

{
_x1 = x1_;
}

## x1() [2/2]

::ssize_t Magick::DrawableViewbox::x1 | ( | void |  | ) | const

inline

Definition at line 2314 of file Drawable.h.

{
return _x1;
}

## x2() [1/2]

void Magick::DrawableViewbox::x2 | ( | ::ssize_t | x2_ | ) |

inline

Definition at line 2328 of file Drawable.h.

{
_x2 = x2_;
}

## x2() [2/2]

::ssize_t Magick::DrawableViewbox::x2 | ( | void |  | ) | const

inline

Definition at line 2332 of file Drawable.h.

{
return _x2;
}

## y1() [1/2]

void Magick::DrawableViewbox::y1 | ( | ::ssize_t | y1_ | ) |

inline

Definition at line 2319 of file Drawable.h.

{
_y1 = y1_;
}

## y1() [2/2]

::ssize_t Magick::DrawableViewbox::y1 | ( | void |  | ) | const

inline

Definition at line 2323 of file Drawable.h.

{
return _y1;
}

## y2() [1/2]

void Magick::DrawableViewbox::y2 | ( | ::ssize_t | y2_ | ) |

inline

Definition at line 2337 of file Drawable.h.

{
_y2 = y2_;
}

## y2() [2/2]

::ssize_t Magick::DrawableViewbox::y2 | ( | void |  | ) | const

inline

Definition at line 2341 of file Drawable.h.

{
return _y2;
}

## Field Documentation

## _x1

::ssize_t Magick::DrawableViewbox::_x1

private

Definition at line 2347 of file Drawable.h.

## _x2

::ssize_t Magick::DrawableViewbox::_x2

private

Definition at line 2349 of file Drawable.h.

## _y1

::ssize_t Magick::DrawableViewbox::_y1

private

Definition at line 2348 of file Drawable.h.

## _y2

::ssize_t Magick::DrawableViewbox::_y2

private

Definition at line 2350 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp